# Variable staticMaps`Const`

staticMaps: {
automatic: ((options?: BoundedStaticMapOptions) => string);
bounded: ((boundingBox: BBox, options?: BoundedStaticMapOptions) => string);
centered: ((center: Position, zoom: number, options?: StaticMapBaseOptions) => string);
} = ...

The staticMaps namespace contains an synchronous function build image URL of static map, as specified by the MapTiler Static Map API. The URL of static maps can then be used within a `<img />` markup element, as the `src` property value.

#### Type declaration

- ##### automatic: ((options?: BoundedStaticMapOptions) => string)

  - - (options?: BoundedStaticMapOptions): string

    - Construct the URL for a static map automatically fitted around the provided path or markers. Note: this function does not fetch the binary content of the image since the purpose of a static map is generally to have its URL as a `src` property of a element. If a path is provided and is too long, it will be simplified in an accurate way.

      ### Returns

      #### Parameters

      - ##### options: BoundedStaticMapOptions = {}

      #### Returns string

- ##### bounded: ((boundingBox: BBox, options?: BoundedStaticMapOptions) => string)

  - - (boundingBox: BBox, options?: BoundedStaticMapOptions): string

    - Construct the URL for a static map using a bounding box Note: this function does not fetch the binary content of the image since the purpose of a static map is generally to have its URL as a `src` property of a element. If a path is provided and is too long, it will be simplified in an accurate way.

      ### Returns

      #### Parameters

      - ##### boundingBox: BBox

      - ##### options: BoundedStaticMapOptions = {}

      #### Returns string

- ##### centered: ((center: Position, zoom: number, options?: StaticMapBaseOptions) => string)

  - - (center: Position, zoom: number, options?: StaticMapBaseOptions): string

    - Construct the URL for a static map centered on one point. Note: this function does not fetch the binary content of the image since the purpose of a static map is generally to have its URL as a `src` property of a element. If a path is provided and is too long, it will be simplified in an accurate way.

      ### Returns

      #### Parameters

      - ##### center: Position

      - ##### zoom: number

      - ##### options: StaticMapBaseOptions = {}

      #### Returns string

- Defined in services/staticMaps.ts:457

Generated using TypeDoc